# Generated from digital_opera-0.0.16.gem by gem2rpm -*- rpm-spec -*-
%global gem_name digital_opera

Name: rubygem-%{gem_name}
Version: 0.0.16
Release: 1%{?dist}
Summary: Tools and utilities for helping out in developing Ruby applications
License: MIT
URL: http://www.digitalopera.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(aws-sdk) >= 1.0
# BuildRequires: rubygem(aws-sdk) < 2
# BuildRequires: rubygem(rspec-rails) >= 2.14.1
# BuildRequires: rubygem(rspec-rails) < 2.15
# BuildRequires: rubygem(mocha) >= 0.13.1
# BuildRequires: rubygem(mocha) < 0.14
# BuildRequires: rubygem(guard-rspec) >= 2.3.0
# BuildRequires: rubygem(guard-rspec) < 2.4
# BuildRequires: rubygem(guard-spork) >= 1.5.0
# BuildRequires: rubygem(guard-spork) < 1.6
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(confstruct) >= 0.2.5
# BuildRequires: rubygem(confstruct) < 0.3
# BuildRequires: rubygem(thor)
# BuildRequires: rubygem(jasmine)
# BuildRequires: rubygem(headless)
# BuildRequires: rubygem(jquery-rails) >= 2.2.0
# BuildRequires: rubygem(jquery-rails) < 2.3
BuildArch: noarch

%description
Tools and utilities for helping out in developing Ruby applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_libdir}
%{gem_instdir}/tasks
%{gem_instdir}/tmp
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/digital_opera.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.16-1
- Initial package
